# ClimateModels.jl

This package provides a uniform interface to climate models of varying complexity and completeness. Models that range from low dimensional to whole Earth System models can be run and/or analyzed via this framework. 

It also supports e.g. cloud computing workflows that start from previous model output available over the internet. Version control, using _git_, is included to allow for workflow documentation and reproducibility.

The [JuliaCon 2021 Presentation](https://youtu.be/XR5hKCja0uw) provides a brief (8') overview and demo of the package.

Please refer to [User Manual](@ref manual), [Examples](@ref examples), and [API Reference](@ref api)  for more detail. 

### [Table Of Contents](@id main-contents)

```@contents
Pages = [
    "functionalities.md",
    "examples.md",
    "API.md",
]
Depth = 2
```

- **JuliaCon 2021 Presentation**
  - [video recording (mp4)](https://youtu.be/XR5hKCja0uw)
  - [notebook view (html)](ClimateModelsJuliaCon2021.html)
  - [notebook source (jl)](https://github.com/gaelforget/ClimateModels.jl/blob/master/docs/src/ClimateModelsJuliaCon2021.jl)

[![Screen Shot 2021-08-31 at 2 25 04 PM](https://user-images.githubusercontent.com/20276764/131556274-48f3df13-0608-4cd0-acf9-c3e29894a32c.png)](https://youtu.be/XR5hKCja0uw)
